ApiReference

Projects

Projects endpoints of the Elnora REST API.

Base URL https://platform.elnora.ai/api/v1. Authenticate every request with the X-API-Key header — see Authentication.

GET /projects

List user's projects in the active organization.

curl https://platform.elnora.ai/api/v1/projects \
  -H "X-API-Key: $ELNORA_API_KEY"

Parameters

NameInTypeRequired
Pagequeryint32no
PageSizequeryint32no
SortByquerystringno
SortDirectionquerystringno

Responses: 200 · 400

POST /projects

Create a new project.

curl -X POST https://platform.elnora.ai/api/v1/projects \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "name": "..." }'

Request body

FieldTypeRequired
namestringyes
descriptionstringno
iconstringno

Responses: 201 · 400

GET /projects/{id}

Get project details.

curl https://platform.elnora.ai/api/v1/projects/{id} \
  -H "X-API-Key: $ELNORA_API_KEY"

Parameters

NameInTypeRequired
idpathuuidyes

Responses: 200

PUT /projects/{id}

Update a project.

curl -X PUT https://platform.elnora.ai/api/v1/projects/{id} \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'

Parameters

NameInTypeRequired
idpathuuidyes

Request body

FieldTypeRequired
namestringno
descriptionstringno
iconstringno

Responses: 200

DELETE /projects/{id}

Archive a project.

curl -X DELETE https://platform.elnora.ai/api/v1/projects/{id} \
  -H "X-API-Key: $ELNORA_API_KEY"

Parameters

NameInTypeRequired
idpathuuidyes

Responses: 204

POST /projects/{id}/leave

Leave a project (self-removal).

curl -X POST https://platform.elnora.ai/api/v1/projects/{id}/leave \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json"

Parameters

NameInTypeRequired
idpathuuidyes

Responses: 204

GET /projects/{id}/members

List project members.

curl https://platform.elnora.ai/api/v1/projects/{id}/members \
  -H "X-API-Key: $ELNORA_API_KEY"

Parameters

NameInTypeRequired
idpathuuidyes

Responses: 200

POST /projects/{id}/members

Add a member to the project.

curl -X POST https://platform.elnora.ai/api/v1/projects/{id}/members \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "userId": "..." }'

Parameters

NameInTypeRequired
idpathuuidyes

Request body

FieldTypeRequired
userIdint32yes
rolestringno

Responses: 201

PUT /projects/{id}/members/{memberUserId}

Update a member's role.

curl -X PUT https://platform.elnora.ai/api/v1/projects/{id}/members/{memberUserId} \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "role": "..." }'

Parameters

NameInTypeRequired
idpathuuidyes
memberUserIdpathint32yes

Request body

FieldTypeRequired
rolestringyes

Responses: 204

DELETE /projects/{id}/members/{memberUserId}

Remove a member from the project.

curl -X DELETE https://platform.elnora.ai/api/v1/projects/{id}/members/{memberUserId} \
  -H "X-API-Key: $ELNORA_API_KEY"

Parameters

NameInTypeRequired
idpathuuidyes
memberUserIdpathint32yes

Responses: 204

On this page